%if 0%{?rhel}
%global with_enca 0
%global with_libcue 0
%global with_rss 0
%else
%global with_enca 1
%global with_libcue 1
%global with_rss 1
%endif

%define _disable_ld_no_undefined 1

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%global tracker_version 3.0.0

%global systemd_units tracker-extract.service tracker-miner-fs.service tracker-miner-rss.service tracker-writeback.service

Name:		tracker-miners
Version:	3.0.3
Release:	%mkrel 1
Summary:	Tracker miners and metadata extractors
Group:		Graphical desktop/GNOME

# libtracker-extract is LGPLv2+; the miners are a mix of GPLv2+ and LGPLv2+ code
License:	GPLv2+ and LGPLv2+
URL:		https://wiki.gnome.org/Projects/Tracker
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	asciidoc
BuildRequires:	meson
BuildRequires:	giflib-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	systemd
%if 0%{?with_enca}
BuildRequires:	pkgconfig(enca)
%endif
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
%if 0%{?with_libcue}
BuildRequires:	pkgconfig(libcue)
%endif
BuildRequires:	pkgconfig(libexif)
%if 0%{?with_rss}
BuildRequires:	pkgconfig(libgrss)
%endif
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libosinfo-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(tracker-sparql-3.0) >= %{tracker_version}
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

Requires:	tracker%{?_isa} >= %{tracker_version}

# tracker-miners was split out from tracker in 1.99.2
Obsoletes:	tracker < 1.99.2
Conflicts:	tracker < 1.99.2

%description
Tracker is a powerful desktop-neutral first class object database,
tag/metadata database and search tool.

This package contains various miners and metadata extractors for tracker.


%prep
%autosetup -p1


%build
%meson -Dfunctional_tests=false \
       -Dmp3=true
%meson_build


%install
%meson_install

rm -rf %{buildroot}%{_datadir}/tracker-tests

%find_lang tracker3-miners


%post
%systemd_user_post %{systemd_units}

%files -f tracker3-miners.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/tracker-miners-3.0/
%{_libexecdir}/tracker*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/tracker3-miners/
%{_mandir}/man1/tracker*.1*
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker*.desktop
%{_userunitdir}/tracker*.service


%changelog
* Wed Dec 09 2020 ovitters <ovitters> 3.0.3-1.mga8
+ Revision: 1654922
- new version 3.0.3

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.0.1-2.mga8
+ Revision: 1650936
- rebuild for icu

* Fri Oct 02 2020 ovitters <ovitters> 3.0.1-1.mga8
+ Revision: 1631766
- new version 3.0.1

* Mon Sep 14 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1626129
- new version 3.0.0

* Mon Sep 07 2020 ovitters <ovitters> 2.99.5-1.mga8
+ Revision: 1623175
- new version 2.99.5

* Sat Sep 05 2020 tv <tv> 2.99.4-1.mga8
+ Revision: 1622713
- BR asciidoc
- BR pkgconfig(libnm)
- 2.99.4

* Mon Aug 24 2020 ovitters <ovitters> 2.3.4-1.mga8
+ Revision: 1618729
- new version 2.3.4

* Wed Jul 01 2020 wally <wally> 2.3.3-3.mga8
+ Revision: 1601074
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 2.3.3-2.mga8
+ Revision: 1564508
- rebuild for new icu 66.1

* Mon Mar 09 2020 ovitters <ovitters> 2.3.3-1.mga8
+ Revision: 1555131
- new version 2.3.3

* Wed Feb 19 2020 ovitters <ovitters> 2.3.2-1.mga8
+ Revision: 1542309
- new version 2.3.2

* Tue Feb 18 2020 umeabot <umeabot> 2.3.1-3.mga8
+ Revision: 1539078
- Mageia 8 Mass Rebuild

* Fri Nov 29 2019 tv <tv> 2.3.1-2.mga8
+ Revision: 1463792
- rebuild for new libosinfo

* Sat Oct 12 2019 ovitters <ovitters> 2.3.1-1.mga8
+ Revision: 1452376
- new version 2.3.1

* Sat Oct 05 2019 daviddavid <daviddavid> 2.3.0-2.mga8
+ Revision: 1449485
- rebuild for new icu 65.1

* Tue Sep 10 2019 ovitters <ovitters> 2.3.0-1.mga8
+ Revision: 1439399
- new version 2.3.0

* Thu Sep 05 2019 ovitters <ovitters> 2.2.99.1-1.mga8
+ Revision: 1437691
- new version 2.2.99.1

* Thu Aug 08 2019 ovitters <ovitters> 2.2.99.0-1.mga8
+ Revision: 1428102
- new version 2.2.99.0

* Wed May 08 2019 tmb <tmb> 2.2.2-1.mga7
+ Revision: 1396830
- update to 2.2.2

* Thu Apr 18 2019 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1392952
- Rebuild with meson 0.50.1

* Thu Mar 07 2019 ovitters <ovitters> 2.2.1-1.mga7
+ Revision: 1372168
- new version 2.2.1

* Mon Feb 25 2019 ovitters <ovitters> 2.2.0-1.mga7
+ Revision: 1370095
- new version 2.2.0
- switch to meson build system

* Sun Jan 13 2019 kekepower <kekepower> 2.1.5-3.mga7
+ Revision: 1356073
- Rebuild for new exempi

* Fri Jan 11 2019 daviddavid <daviddavid> 2.1.5-2.mga7
+ Revision: 1354834
- rebuild for new icu

* Wed Sep 26 2018 ovitters <ovitters> 2.1.5-1.mga7
+ Revision: 1306444
- new version 2.1.5

* Tue Sep 04 2018 daviddavid <daviddavid> 2.1.4-1.mga7
+ Revision: 1257071
- new version 2.1.4

* Tue Aug 28 2018 daviddavid <daviddavid> 2.0.5-2.mga7
+ Revision: 1255137
- rebuild for new icu

* Mon Jun 25 2018 ovitters <ovitters> 2.0.5-1.mga7
+ Revision: 1239627
- new version 2.0.5

* Thu Apr 12 2018 ovitters <ovitters> 2.0.3-2.mga7
+ Revision: 1218093
+ rebuild (emptylog)

* Thu Apr 12 2018 ovitters <ovitters> 2.0.3-1.mga7
+ Revision: 1218089
- enable mp3
- fix source url
- add group
- from Fedora

